diff -Naurp nosh-1.40/source/BaseTUI.cpp nosh-1.40-new/source/BaseTUI.cpp
--- nosh-1.40/source/BaseTUI.cpp	2019-01-22 07:51:24.000000000 -0600
+++ nosh-1.40-new/source/BaseTUI.cpp	2024-05-03 00:05:03.067140817 -0500
@@ -11,11 +11,7 @@ For copyright and licensing terms, see t
 #include <sys/ioctl.h>	// for struct winsize
 #include <unistd.h>
 #include <fcntl.h>
-#if defined(__LINUX__) || defined(__linux__)
-#include <ncursesw/curses.h>
-#else
 #include <curses.h>
-#endif
 #include "curses-const-fix.h"	// Must come after curses.h .
 #include <term.h>
 #include "ttyutils.h"
diff -Naurp nosh-1.40/source/console-ncurses-realizer.cpp nosh-1.40-new/source/console-ncurses-realizer.cpp
--- nosh-1.40/source/console-ncurses-realizer.cpp	2019-01-25 11:01:10.000000000 -0600
+++ nosh-1.40-new/source/console-ncurses-realizer.cpp	2024-05-02 23:53:01.697114051 -0500
@@ -25,11 +25,7 @@ For copyright and licensing terms, see t
 #include "FileStar.h"
 #include "SignalManagement.h"
 #include "VirtualTerminalBackEnd.h"
-#if defined(__LINUX__) || defined(__linux__)
-#include <ncursesw/curses.h>
-#else
 #include <curses.h>
-#endif
 
 /* Full-screen TUI **********************************************************
 // **************************************************************************
@@ -323,7 +319,6 @@ Realizer::MessageFromNCursesKey (
 		case KEY_CATAB:		return MessageForExtendedKey(EXTENDED_KEY_CLEAR_TABS, 0);
 		case KEY_MOUSE:		// not convertible yet
 		case KEY_RESIZE:	// not applicable
-		case KEY_EVENT:		// not applicable
 		default:
 			return 0;
 	}
diff -Naurp nosh-1.40/source/convert/per-user/at-spi-dbus-bus.service.do nosh-1.40-new/source/convert/per-user/at-spi-dbus-bus.service.do
--- nosh-1.40/source/convert/per-user/at-spi-dbus-bus.service.do	2018-02-25 06:06:55.000000000 -0600
+++ nosh-1.40-new/source/convert/per-user/at-spi-dbus-bus.service.do	2024-05-03 21:58:47.360065485 -0500
@@ -16,7 +16,7 @@ Linux)
 	centos:*)	ext=redhat-linux ;;
 	rhel:*) 	ext=redhat-linux ;;
 	gentoo:*) 	ext=redhat-linux ;;
-	*)      	ext=who ;;
+	*)      	ext=redhat-linux ;;
 	esac
 	;;
 *BSD)	ext=bsd ;;
diff -Naurp nosh-1.40/source/convert/per-user/gconfd.service.do nosh-1.40-new/source/convert/per-user/gconfd.service.do
--- nosh-1.40/source/convert/per-user/gconfd.service.do	2018-02-25 06:09:19.000000000 -0600
+++ nosh-1.40-new/source/convert/per-user/gconfd.service.do	2024-05-03 21:58:37.593398454 -0500
@@ -16,7 +16,7 @@ Linux)
 	centos:*)	ext=redhat-linux ;;
 	rhel:*) 	ext=redhat-linux ;;
 	gentoo:*) 	ext=redhat-linux ;;
-	*)      	ext=who ;;
+	*)      	ext=redhat-linux ;;
 	esac
 	;;
 *BSD)	ext=bsd ;;
diff -Naurp nosh-1.40/source/convert/per-user/per-user.conf.do nosh-1.40-new/source/convert/per-user/per-user.conf.do
--- nosh-1.40/source/convert/per-user/per-user.conf.do	2018-02-25 06:09:19.000000000 -0600
+++ nosh-1.40-new/source/convert/per-user/per-user.conf.do	2024-05-03 21:58:25.646731337 -0500
@@ -17,7 +17,7 @@ Linux)
 	gentoo:*) 	ext=linux ;;
 	centos:*) 	ext=linux ;;
 	rhel:*) 	ext=linux ;;
-	*)      	ext=who ;;
+	*)      	ext=linux ;;
 	esac
 	;;
 *BSD)	ext=bsd ;;
diff -Naurp nosh-1.40/source/services/dbus-broker.service.d/os-dependant.conf.do nosh-1.40-new/source/services/dbus-broker.service.d/os-dependant.conf.do
--- nosh-1.40/source/services/dbus-broker.service.d/os-dependant.conf.do	2019-01-22 07:51:27.000000000 -0600
+++ nosh-1.40-new/source/services/dbus-broker.service.d/os-dependant.conf.do	2024-05-03 21:58:59.356732586 -0500
@@ -13,7 +13,7 @@ Linux)
 	centos:*)	ext=redhat-linux ;;
 	rhel:*) 	ext=redhat-linux ;;
 	gentoo:*) 	ext=debian-linux ;;
-	*)      	ext=who ;;
+	*)      	ext=redhat-linux ;;
 	esac
 	;;
 *BSD)	ext=bsd ;;
diff -Naurp nosh-1.40/source/services/dbus-daemon.service.d/os-dependant.conf.do nosh-1.40-new/source/services/dbus-daemon.service.d/os-dependant.conf.do
--- nosh-1.40/source/services/dbus-daemon.service.d/os-dependant.conf.do	2019-01-22 07:51:27.000000000 -0600
+++ nosh-1.40-new/source/services/dbus-daemon.service.d/os-dependant.conf.do	2024-05-03 21:59:40.060067428 -0500
@@ -13,7 +13,7 @@ Linux)
 	gentoo:*) 	ext=debian-linux ;;
 	centos:*)	ext=redhat-linux ;;
 	rhel:*) 	ext=redhat-linux ;;
-	*)      	ext=who ;;
+	*)      	ext=redhat-linux ;;
 	esac
 	;;
 *BSD)	ext=bsd ;;
diff -Naurp nosh-1.40/source/services/exim4-smtp-relay@.service.d/os-dependant.conf.do nosh-1.40-new/source/services/exim4-smtp-relay@.service.d/os-dependant.conf.do
--- nosh-1.40/source/services/exim4-smtp-relay@.service.d/os-dependant.conf.do	2019-01-22 07:51:27.000000000 -0600
+++ nosh-1.40-new/source/services/exim4-smtp-relay@.service.d/os-dependant.conf.do	2024-05-03 21:59:30.460067071 -0500
@@ -13,7 +13,7 @@ Linux)
 	gentoo:*) 	ext=gentoo-linux ;;
 	centos:*)	ext=redhat-linux ;;
 	rhel:*) 	ext=redhat-linux ;;
-	*)      	ext=who ;;
+	*)      	ext=redhat-linux ;;
 	esac
 	;;
 *BSD)	ext=bsd ;;
diff -Naurp nosh-1.40/source/services/exim4-smtp-submission@.service.d/os-dependant.conf.do nosh-1.40-new/source/services/exim4-smtp-submission@.service.d/os-dependant.conf.do
--- nosh-1.40/source/services/exim4-smtp-submission@.service.d/os-dependant.conf.do	2019-01-22 07:51:27.000000000 -0600
+++ nosh-1.40-new/source/services/exim4-smtp-submission@.service.d/os-dependant.conf.do	2024-05-03 21:59:21.110066726 -0500
@@ -13,7 +13,7 @@ Linux)
 	gentoo:*) 	ext=gentoo-linux ;;
 	centos:*)	ext=redhat-linux ;;
 	rhel:*) 	ext=redhat-linux ;;
-	*)      	ext=who ;;
+	*)      	ext=redhat-linux ;;
 	esac
 	;;
 *BSD)	ext=bsd ;;
diff -Naurp nosh-1.40/source/services/system-wide.conf.do nosh-1.40-new/source/services/system-wide.conf.do
--- nosh-1.40/source/services/system-wide.conf.do	2018-02-25 06:16:21.000000000 -0600
+++ nosh-1.40-new/source/services/system-wide.conf.do	2024-05-03 21:59:11.773399720 -0500
@@ -14,7 +14,7 @@ Linux)
 	centos:*)	ext=linux ;;
 	rhel:*) 	ext=linux ;;
 	gentoo:*) 	ext=linux ;;
-	*)      	ext=who ;;
+	*)      	ext=linux ;;
 	esac
 	;;
 *BSD)	ext=bsd ;;
diff -Naurp nosh-1.40/source/systemd/system/service-manager.socket.do nosh-1.40-new/source/systemd/system/service-manager.socket.do
--- nosh-1.40/source/systemd/system/service-manager.socket.do	2018-02-25 06:34:49.000000000 -0600
+++ nosh-1.40-new/source/systemd/system/service-manager.socket.do	2024-05-03 21:59:46.890067691 -0500
@@ -13,7 +13,7 @@ Linux)
 	centos:*)	ext=redhat-linux ;;
 	rhel:*) 	ext=redhat-linux ;;
 	gentoo:*) 	ext=debian-linux ;;
-	*)      	ext=who ;;
+	*)      	ext=redhat-linux ;;
 	esac
 	;;
 *BSD)	ext=bsd ;;
diff -Naurp nosh-1.40/source/unshare.cpp nosh-1.40-new/source/unshare.cpp
--- nosh-1.40/source/unshare.cpp	2018-09-14 09:04:44.000000000 -0500
+++ nosh-1.40-new/source/unshare.cpp	2024-05-02 23:30:03.547063126 -0500
@@ -8,6 +8,9 @@ For copyright and licensing terms, see t
 #include <cstdlib>
 #include <cerrno>
 #include <cstring>
+#if defined(__LINUX__) || defined(__linux__)
+  #include <sched.h>
+#endif
 #include <unistd.h>
 #include "utils.h"
 #include "popt.h"
